package com.yanzhu.jh.trouble.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 随手拍问题整改质量留痕信息对象 smz_ssp_problemmodify_draft
 * 
 * @author JiangYuQi
 * @date 2023-10-15
 */
public class SmzSspProblemmodifyDraft extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 项目id */
    @Excel(name = "项目id")
    private Long projectId;

    /** 信息类型（0安全，1质量） */
    @Excel(name = "信息类型", readConverterExp = "0=安全，1质量")
    private Long infoType;

    /** 留痕图片 */
    @Excel(name = "留痕图片")
    private String marksPicture;

    /** 留痕视频 */
    @Excel(name = "留痕视频")
    private String marksVideo;

    /** 拍摄位置 */
    @Excel(name = "拍摄位置")
    private String problemArea;

    /** 施工部位 */
    @Excel(name = "施工部位")
    private String workParts;

    /** 整改要求 */
    @Excel(name = "整改要求")
    private String changeInfo;

    /** 主送人姓名 */
    @Excel(name = "主送人姓名")
    private String lordSent;

    /** 主送人手机号 */
    @Excel(name = "主送人手机号")
    private String lordSentUser;

    /** 抄送人姓名 */
    @Excel(name = "抄送人姓名")
    private String copySend;

    /** 抄送人手机号 */
    @Excel(name = "抄送人手机号")
    private String copySendUser;

    /** 流程状态（0待整改，1待复检，3复检驳回，4复检通过） */
    @Excel(name = "流程状态", readConverterExp = "0=待整改，1待复检，3复检驳回，4复检通过")
    private Long checkState;

    /** 整改定位 */
    @Excel(name = "整改定位")
    private String nickedArea;

    /** 整改截至时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "整改截至时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nickedTime;

    /** 工程类型 */
    @Excel(name = "工程类型")
    private String projectType;

    /** 工序名称 */
    @Excel(name = "工序名称")
    private String processName;

    /** 工程名称 */
    @Excel(name = "工程名称")
    private String projectName;

    /** 留痕说明 */
    @Excel(name = "留痕说明")
    private String nickedInfo;

    /** 审核人 */
    @Excel(name = "审核人")
    private String checkUser;

    /** 审核人手机号 */
    @Excel(name = "审核人手机号")
    private String checkUserPhone;

    /** 智能公司展示的图片url */
    @Excel(name = "智能公司展示的图片url")
    private String smarkUrl;

    /** 删除状态（0未删除，1已删除） */
    @Excel(name = "删除状态", readConverterExp = "0=未删除，1已删除")
    private Long isDel;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createUser;

    /** 创建人名称 */
    @Excel(name = "创建人名称")
    private String createUserName;

    /** 创建人部门名称 */
    @Excel(name = "创建人部门名称")
    private String createUserDeptName;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updateUser;

    /** 隐患类型 */
    @Excel(name = "隐患类型")
    private String dangerType;

    /** 复检人 */
    @Excel(name = "复检人")
    private String recheckSend;

    /** 复检人手机号 */
    @Excel(name = "复检人手机号")
    private String recheckSendUser;

    /** 角色类型 */
    @Excel(name = "角色类型")
    private Long roleType;

    /** 问题类型（1常规问题，2专项问题） */
    @Excel(name = "问题类型", readConverterExp = "1=常规问题，2专项问题")
    private String problemType;

    private List<List<String>> fileUrls;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setInfoType(Long infoType) 
    {
        this.infoType = infoType;
    }

    public Long getInfoType() 
    {
        return infoType;
    }
    public void setMarksPicture(String marksPicture) 
    {
        this.marksPicture = marksPicture;
    }

    public String getMarksPicture() 
    {
        return marksPicture;
    }
    public void setMarksVideo(String marksVideo) 
    {
        this.marksVideo = marksVideo;
    }

    public String getMarksVideo() 
    {
        return marksVideo;
    }
    public void setProblemArea(String problemArea) 
    {
        this.problemArea = problemArea;
    }

    public String getProblemArea() 
    {
        return problemArea;
    }
    public void setWorkParts(String workParts) 
    {
        this.workParts = workParts;
    }

    public String getWorkParts() 
    {
        return workParts;
    }
    public void setChangeInfo(String changeInfo) 
    {
        this.changeInfo = changeInfo;
    }

    public String getChangeInfo() 
    {
        return changeInfo;
    }
    public void setLordSent(String lordSent) 
    {
        this.lordSent = lordSent;
    }

    public String getLordSent() 
    {
        return lordSent;
    }
    public void setLordSentUser(String lordSentUser) 
    {
        this.lordSentUser = lordSentUser;
    }

    public String getLordSentUser() 
    {
        return lordSentUser;
    }
    public void setCopySend(String copySend) 
    {
        this.copySend = copySend;
    }

    public String getCopySend() 
    {
        return copySend;
    }
    public void setCopySendUser(String copySendUser) 
    {
        this.copySendUser = copySendUser;
    }

    public String getCopySendUser() 
    {
        return copySendUser;
    }
    public void setCheckState(Long checkState) 
    {
        this.checkState = checkState;
    }

    public Long getCheckState() 
    {
        return checkState;
    }
    public void setNickedArea(String nickedArea) 
    {
        this.nickedArea = nickedArea;
    }

    public String getNickedArea() 
    {
        return nickedArea;
    }
    public void setNickedTime(Date nickedTime) 
    {
        this.nickedTime = nickedTime;
    }

    public Date getNickedTime() 
    {
        return nickedTime;
    }
    public void setProjectType(String projectType) 
    {
        this.projectType = projectType;
    }

    public String getProjectType() 
    {
        return projectType;
    }
    public void setProcessName(String processName) 
    {
        this.processName = processName;
    }

    public String getProcessName() 
    {
        return processName;
    }
    public void setProjectName(String projectName) 
    {
        this.projectName = projectName;
    }

    public String getProjectName() 
    {
        return projectName;
    }
    public void setNickedInfo(String nickedInfo) 
    {
        this.nickedInfo = nickedInfo;
    }

    public String getNickedInfo() 
    {
        return nickedInfo;
    }
    public void setCheckUser(String checkUser) 
    {
        this.checkUser = checkUser;
    }

    public String getCheckUser() 
    {
        return checkUser;
    }
    public void setCheckUserPhone(String checkUserPhone) 
    {
        this.checkUserPhone = checkUserPhone;
    }

    public String getCheckUserPhone() 
    {
        return checkUserPhone;
    }
    public void setSmarkUrl(String smarkUrl) 
    {
        this.smarkUrl = smarkUrl;
    }

    public String getSmarkUrl() 
    {
        return smarkUrl;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }
    public void setCreateUser(String createUser) 
    {
        this.createUser = createUser;
    }

    public String getCreateUser() 
    {
        return createUser;
    }
    public void setUpdateUser(String updateUser) 
    {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() 
    {
        return updateUser;
    }
    public void setDangerType(String dangerType) 
    {
        this.dangerType = dangerType;
    }

    public String getDangerType() 
    {
        return dangerType;
    }
    public void setRecheckSend(String recheckSend) 
    {
        this.recheckSend = recheckSend;
    }

    public String getRecheckSend() 
    {
        return recheckSend;
    }
    public void setRecheckSendUser(String recheckSendUser) 
    {
        this.recheckSendUser = recheckSendUser;
    }

    public String getRecheckSendUser() 
    {
        return recheckSendUser;
    }
    public void setRoleType(Long roleType) 
    {
        this.roleType = roleType;
    }

    public Long getRoleType() 
    {
        return roleType;
    }
    public void setProblemType(String problemType) 
    {
        this.problemType = problemType;
    }

    public String getProblemType() 
    {
        return problemType;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getCreateUserDeptName() {
        return createUserDeptName;
    }

    public void setCreateUserDeptName(String createUserDeptName) {
        this.createUserDeptName = createUserDeptName;
    }

    public List<List<String>> getFileUrls() {
        return fileUrls;
    }

    public void setFileUrls(List<List<String>> fileUrls) {
        this.fileUrls = fileUrls;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("infoType", getInfoType())
            .append("marksPicture", getMarksPicture())
            .append("marksVideo", getMarksVideo())
            .append("problemArea", getProblemArea())
            .append("workParts", getWorkParts())
            .append("changeInfo", getChangeInfo())
            .append("lordSent", getLordSent())
            .append("lordSentUser", getLordSentUser())
            .append("copySend", getCopySend())
            .append("copySendUser", getCopySendUser())
            .append("checkState", getCheckState())
            .append("nickedArea", getNickedArea())
            .append("nickedTime", getNickedTime())
            .append("projectType", getProjectType())
            .append("processName", getProcessName())
            .append("projectName", getProjectName())
            .append("nickedInfo", getNickedInfo())
            .append("checkUser", getCheckUser())
            .append("checkUserPhone", getCheckUserPhone())
            .append("smarkUrl", getSmarkUrl())
            .append("isDel", getIsDel())
            .append("createUser", getCreateUser())
            .append("createTime", getCreateTime())
            .append("updateUser", getUpdateUser())
            .append("updateTime", getUpdateTime())
            .append("dangerType", getDangerType())
            .append("recheckSend", getRecheckSend())
            .append("recheckSendUser", getRecheckSendUser())
            .append("roleType", getRoleType())
            .append("problemType", getProblemType())
            .toString();
    }
}
